### Method

# Gtk TreeView get_dest_row_at_pos

#### Declaration [src]

    gboolean
    gtk_tree_view_get_dest_row_at_pos (
      GtkTreeView* tree_view,
      int drag_x,
      int drag_y,
      GtkTreePath** path,
      GtkTreeViewDropPosition* pos
    )

#### Description [src]

Determines the destination row for a given position. `drag_x` and `drag_y` are expected to be in widget coordinates. This function is only meaningful if `tree_view` is realized. Therefore this function will always return `FALSE` if `tree_view` is not realized or does not have a model.

#### Parameters

`drag_x` | `int`
| The position to determine the destination row for.
`drag_y` | `int`
| The position to determine the destination row for.
`path` | `GtkTreePath`
| Return location for the path of the highlighted row.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`pos` | `GtkTreeViewDropPosition`
| Return location for the drop position, or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| Whether there is a row at the given position, `TRUE` if this is indeed the case.